;-----------------------------------------------------------------------------
; Clear Memory
; 080H~0FFH
;-----------------------------------------------------------------------------
ClearMEM:
	CLRF	FSR0H,A
	MVL		080H
	MVF		FSR0L,F,ACCE
	MVL		080H
ClriniMen0:
	CLRF	INDF0,ACCE
	INF		FSR0L,F,ACCE
	DCSZ	WREG,F,ACCE
	JMP		ClriniMen0
	RET
;-----------------------------------------------------------------------------
; Clear Memory
; 100H~17FH
;-----------------------------------------------------------------------------
ClearMEM100:
	MVL		High 100H
	MVF		FSR0H,F,ACCE
	MVL		Low 100H
	MVF		FSR0L,F,ACCE
	MVL		080H
ClriniMen100:
	CLRF	INDF0,ACCE
	INF		FSR0L,F,ACCE
	DCSZ	WREG,F,ACCE
	JMP		ClriniMen100
	RET




;-----------------------------------------------------------------------------
; Clear Memory
; 200H~2FFH
;-----------------------------------------------------------------------------
ClearMEM200:
	MVL		High 200H
	MVF		FSR0H,F,ACCE
	MVL		Low 200H
	MVF		FSR0L,F,ACCE
	MVL		0FFH
ClriniMen200:
	CLRF	INDF0,ACCE
	INF		FSR0L,F,ACCE
	DCSZ	WREG,F,ACCE
	JMP		ClriniMen200
	RET
;-----------------------------------------------------------------------------
;
Delay10ms: ;Total Delay 2309*3=6927 Cycles
  MVL  20            ;Delay 1 Cycles
  MVF  Delay1,F,ACCE ;Delay 1 Cycles
Delay10ms_2: ;Total Delay 769*3+2=2309 Cycles
  MVL  0             ;Delay 1 Cycles
Delay10ms_1: ;Total Delay 256*3+1=769 Cycles
  DCSZ WREG,F,ACCE   ;Delay 1 Cycles
  JMP  Delay10ms_1   ;Delay 2 Cycles
  DCSZ Delay1,F,ACCE ;Delay 1 Cycles
  JMP  Delay10ms_2   ;Delay 2 Cycles
  DCSZ Delay2,F,ACCE ;Delay 1 Cycles
  JMP  Delay10ms     ;Delay 2 Cycles
  RET
