  Include  ./INC/Seg_Table.inc

;-----------------------------------------------------------------------------
; ̿JƬdXLCDTABLE
;-----------------------------------------------------------------------------
GET_DISPLAY_DIG:
  MVLP LCD_HEXD
  CLRF MSTAT
  RRFC DISPLAY_DATA,W,ACCE
  ADDF TBLPTRL,F,ACCE
  MVL  0
  ADDC TBLPTRH,F,ACCE
  TBLR *
  MVF  DISPLAY_DATA,W,ACCE
  ANDL 01H
  JZ   GET_DISPLAY_DIG_HIGH ;P_ƦbHI/LO Byte
GET_DISPLAY_DIG_LOW:
  MVF  TBLDL,W,ACCE
  RET
GET_DISPLAY_DIG_HIGH:
  MVF  TBLDH,W,ACCE
  RET

;-----------------------------------------------------------------------------
;
;-----------------------------------------------------------------------------
LCD_HEXD:
  DB LCDNUM0,LCDNUM1
  DB LCDNUM2,LCDNUM3
  DB LCDNUM4,LCDNUM5
  DB LCDNUM6,LCDNUM7
  DB LCDNUM8,LCDNUM9
  DB LCDNUMA,LCDNUMB
  DB LCDNUMC,LCDNUMD
  DB LCDNUME,LCDNUMF

;-----------------------------------------------------------------------------
; Full LCD Display
;-----------------------------------------------------------------------------
DISPLAY_FULL:
  MVL  High LCD0
  MVF  FSR0H,F,ACCE

  MVL  Low LCD0
  MVF  FSR0L,F,ACCE

IF  LED==0
  MVL  20
ENDIF
IF  LED==1
  MVL  8
ENDIF
  MVF  BufferIndex,F,A
DISPLAY_FULL_Loop:
  MVL  0FFH
  MVF  INDF0,F,A
  INF  FSR0L,F,ACCE
  DCSZ BufferIndex,F,ACCE
  JMP  DISPLAY_FULL_Loop
  RET

;-----------------------------------------------------------------------------
; Clear LCD Display
;-----------------------------------------------------------------------------
DISPLAY_Clear:
  MVL  High LCD0
  MVF  FSR0H,F,ACCE

  MVL  Low LCD0
  MVF  FSR0L,F,ACCE

IF  LED==0
  MVL  20
ENDIF
IF  LED==1
  MVL  8
ENDIF
  MVF  BufferIndex,F,A
DISPLAY_Clear_Loop:
  MVL  000H
  MVF  INDF0,F,A
  INF  FSR0L,F,ACCE
  DCSZ BufferIndex,F,ACCE
  JMP  DISPLAY_Clear_Loop
  RET

;-----------------------------------------------------------------------------
; Test LCD Display 0~5
;-----------------------------------------------------------------------------
DISPLAY_TEST:
  MVL  High LCD0
  MVF  FSR0H,F,ACCE

  MVL  Low LCD0
  MVF  FSR0L,F,ACCE

  MVL  0
  MVF  Display_Data,F,ACCE
  CALL GET_DISPLAY_DIG
  MVF  INDF0,F,A
  INF  FSR0L,F,ACCE

  MVL  1
  MVF  Display_Data,F,ACCE
  CALL GET_DISPLAY_DIG
  MVF  INDF0,F,A
  INF  FSR0L,F,ACCE

  MVL  2
  MVF  Display_Data,F,ACCE
  CALL GET_DISPLAY_DIG
  MVF  INDF0,F,A
  INF  FSR0L,F,ACCE

  MVL  3
  MVF  Display_Data,F,ACCE
  CALL GET_DISPLAY_DIG
  MVF  INDF0,F,A
  INF  FSR0L,F,ACCE

  MVL  4
  MVF  Display_Data,F,ACCE
  CALL GET_DISPLAY_DIG
  MVF  INDF0,F,A
  INF  FSR0L,F,ACCE

  MVL  5
  MVF  Display_Data,F,ACCE
  CALL GET_DISPLAY_DIG
  MVF  INDF0,F,A
  INF  FSR0L,F,ACCE

IF  LED==1
  MVL  6
  MVF  Display_Data,F,ACCE
  CALL GET_DISPLAY_DIG
  MVF  INDF0,F,A
  INF  FSR0L,F,ACCE
ENDIF

  MVL  000H
  MVF  INDF0,F,A
  INF  FSR0L,F,ACCE

  RET

;-----------------------------------------------------------------------------
; LCD Display HYcon
;-----------------------------------------------------------------------------
DISPLAY_HYCON:
  MVL  High LCD0
  MVF  FSR0H,F,ACCE

  MVL  Low LCD0
  MVF  FSR0L,F,ACCE

  MVL  LCDNUMH
  MVF  INDF0,F,A
  INF  FSR0L,F,ACCE

  MVL  LCDNUMY
  MVF  INDF0,F,A
  INF  FSR0L,F,ACCE

  MVL  LCDNUMC
  MVF  INDF0,F,A
  INF  FSR0L,F,ACCE

  MVL  LCDNUMo
  MVF  INDF0,F,A
  INF  FSR0L,F,ACCE

  MVL  LCDNUMn
  MVF  INDF0,F,A
  INF  FSR0L,F,ACCE

  MVL  000H
  MVF  INDF0,F,A
  INF  FSR0L,F,ACCE

  MVL  000H
  MVF  INDF0,F,A
  INF  FSR0L,F,ACCE

  RET

;-----------------------------------------------------------------------------
; LCD Display
;-----------------------------------------------------------------------------
DISPLAY:
  MVL  High LCD0
  MVF  FSR0H,F,ACCE

  MVL  Low LCD0
  MVF  FSR0L,F,ACCE

  SWPF DISPLAY_BUFFER+2,W,A
  ANDL 0FH
  MVF  Display_Data,F,ACCE
  CALL GET_DISPLAY_DIG
  MVF  INDF0,F,A
  INF  FSR0L,F,ACCE

  MVF  DISPLAY_BUFFER+2,W,A
  ANDL 0FH
  MVF  Display_Data,F,ACCE
  CALL GET_DISPLAY_DIG
  MVF  INDF0,F,A
  INF  FSR0L,F,ACCE

  SWPF DISPLAY_BUFFER+1,W,A
  ANDL 0FH
  MVF  Display_Data,F,ACCE
  CALL GET_DISPLAY_DIG
  MVF  INDF0,F,A
  INF  FSR0L,F,ACCE

  MVF  DISPLAY_BUFFER+1,W,A
  ANDL 0FH
  MVF  Display_Data,F,ACCE
  CALL GET_DISPLAY_DIG
  MVF  INDF0,F,A
  INF  FSR0L,F,ACCE

  SWPF DISPLAY_BUFFER+0,W,A
  ANDL 0FH
  MVF  Display_Data,F,ACCE
  CALL GET_DISPLAY_DIG
  MVF  INDF0,F,A
  INF  FSR0L,F,ACCE

  MVF  DISPLAY_BUFFER+0,W,A
  ANDL 0FH
  MVF  Display_Data,F,ACCE
  CALL GET_DISPLAY_DIG
  MVF  INDF0,F,A
  INF  FSR0L,F,ACCE

  MVL  000H
  MVF  INDF0,F,A
  INF  FSR0L,F,ACCE

  RET

;----------------------------------
  ; Display "PASS"
DIS_PASS:            ;PASS LOOP
;----------------------------------
  LBSR 1
  CLRF LCD0,B
  MVL  LCDNUMP
  MVF  LCD1,F,B
  MVL  LCDNUMA
  MVF  LCD2,F,B
  MVL  LCDNUMS
  MVF  LCD3,F,B
  MVL  LCDNUMS
  MVF  LCD4,F,B
  CLRF LCD5,B
  LBSR 0
  RET

;----------------------------------
  ; Display "FAiL"
DIS_FAIL:            ;FAIL LOOP
;----------------------------------
  LBSR 1
  CLRF LCD0,B
  MVL  LCDNUMF
  MVF  LCD1,F,B
  MVL  LCDNUMA
  MVF  LCD2,F,B
  MVL  LCDNUMI
  MVF  LCD3,F,B
  MVL  LCDNUML
  MVF  LCD4,F,B
  CLRF LCD5,B
  LBSR 0
  RET

;----------------------------------
  ; Display "AbdStA"
DIS_AbdStA:
;----------------------------------
  LBSR 1
  MVL  LCDNUMA
  MVF  LCD0,F,B
  MVL  LCDNUMB
  MVF  LCD1,F,B
  MVL  LCDNUMD
  MVF  LCD2,F,B
  MVL  LCDNUMS
  MVF  LCD3,F,B
  MVL  LCDNUMT
  MVF  LCD4,F,B
  MVL  LCDNUMA
  MVF  LCD5,F,B
  LBSR 0
  RET

;----------------------------------
  ; Display "RECDAT"
DIS_RECDAT:
;----------------------------------
  LBSR 1
  MVL  LCDNUMR
  MVF  LCD0,F,B
  MVL  LCDNUME
  MVF  LCD1,F,B
  MVL  LCDNUMC
  MVF  LCD2,F,B
  MVL  LCDNUMD
  MVF  LCD3,F,B
  MVL  LCDNUMA
  MVF  LCD4,F,B
  MVL  LCDNUMT
  MVF  LCD5,F,B
  LBSR 0
  RET

;----------------------------------
  ; Display "SENDAT"
DIS_SENDAT:
;----------------------------------
  LBSR 1
  MVL  LCDNUMS
  MVF  LCD0,F,B
  MVL  LCDNUME
  MVF  LCD1,F,B
  MVL  LCDNUMN
  MVF  LCD2,F,B
  MVL  LCDNUMD
  MVF  LCD3,F,B
  MVL  LCDNUMA
  MVF  LCD4,F,B
  MVL  LCDNUMT
  MVF  LCD5,F,B
  LBSR 0
  RET

;----------------------------------
  ; Display "START"
DIS_START:
;----------------------------------
  LBSR 1
  MVL  LCDNUMS
  MVF  LCD0,F,B
  MVL  LCDNUMT
  MVF  LCD1,F,B
  MVL  LCDNUMA
  MVF  LCD2,F,B
  MVL  LCDNUMR
  MVF  LCD3,F,B
  MVL  LCDNUMT
  MVF  LCD4,F,B
  CLRF LCD5,B
  LBSR 0
  RET

;----------------------------------
  ; Display "Hi"
DIS_HI:
;----------------------------------
  LBSR 1
  MVL  LCDNUMH
  MVF  LCD0,F,B
  MVL  LCDNUMI
  MVF  LCD1,F,B
  CLRF LCD2,B
  CLRF LCD3,B
  CLRF LCD4,B
  CLRF LCD5,B
  LBSR 0
  RET

;----------------------------------
  ; Display "Lo"
DIS_LO:
;----------------------------------
  LBSR 1
  MVL  LCDNUML
  MVF  LCD0,F,B
  MVL  LCDNUMO
  MVF  LCD1,F,B
  CLRF LCD2,B
  CLRF LCD3,B
  CLRF LCD4,B
  CLRF LCD5,B
  LBSR 0
  RET
